# SPDX-License-Identifier: MIT
---
# Put internal variables here with Red Hat Enterprise Linux 9 specific values.

# List of repositories holding HA cluster packages.
# id: repo ID used to enable the repo
# name: user-friendly name of a repo used to check if the repo is enabled
__ha_cluster_repos:
  - id: rhel-9-for-{{ ansible_architecture }}-highavailability-rpms
    name: High Availability
  - id: rhel-9-for-{{ ansible_architecture }}-resilientstorage-rpms
    name: Resilient Storage

# cloud agent packages are also mentioned in library/ha_cluster_info.py
__ha_cluster_cloud_agents_packages:
  x86_64:
    - resource-agents-cloud
    - fence-agents-aliyun
    - fence-agents-aws
    - fence-agents-azure-arm
    - fence-agents-compute
    - fence-agents-gce
    - fence-agents-ibm-powervs
    - fence-agents-ibm-vpc
    - fence-agents-kubevirt
    - fence-agents-openstack
  aarch64:
    - fence-agents-ibm-powervs
    - fence-agents-ibm-vpc
    - fence-agents-kubevirt
  ppc64le:
    - fence-agents-compute
    - fence-agents-ibm-powervs
    - fence-agents-ibm-vpc
    - fence-agents-kubevirt
    - fence-agents-openstack
  s390x:
    - fence-agents-ibm-powervs
    - fence-agents-ibm-vpc
    - fence-agents-kubevirt
  noarch:
    - fence-agents-ibm-powervs
    - fence-agents-ibm-vpc
